[POST] ~/email/sendinquiry

Sends information about a vehicle offered to the dealer to be purchased from the user.

Request Information

URI Parameters

None.

Body Parameters

The request.

An instance of: VehicleInquiryModel
NameDescriptionType
Manufacturer

Gets or sets the manufacturer.

string

Model

Gets or sets the model.

string

Mileage

Gets or sets the mileage.

string

FirstRegistration

Gets or sets the first registration.

string

VIN

Gets or sets the vin.

string

RegistrationBookFoto

Gets or sets the registration book foto.

VehicleInquiryModel+InquiryAttachment

VehicleFotos

Gets or sets the vehicle fotos.

Collection of VehicleInquiryModel+InquiryAttachment

Type

Gets or sets the type.

InquiryType

AdditionalAnnotation

Gets or sets the additional annotation.

string

SendCopyToMe

Gets or sets a value indicating whether the send copy to me.

boolean

ContactByEmail

Gets or sets a value indicating whether the contact by email.

boolean

ContactByTelephone

Gets or sets a value indicating whether the contact by telephone.

boolean

ConsentPrivacyPolicy

Gets or sets a value indicating whether the user consented to the privacy policy.

boolean

GoogleAdTrackingInfo

Gets or sets information describing the google ad tracking.

GoogleAdTrackingInfo

GoogleReCaptchaInfo

Gets or sets information describing the google re captcha.

GoogleReCaptchaInfo

OptInConfirmUrl

Gets or sets URL of the option in confirm.

string

ImprintUrl

Gets or sets URL of the imprint.

string

PrivacyUrl

Gets or sets URL of the privacy statement.

string

Reference

Gets or sets the reference.

string

Culture

Gets or sets the culture.

string

Firstname

Gets or sets the firstName.

string

Surname

Gets or sets the surname.

string

Salutation

Gets or sets the salutation.

string

Title

Gets or sets the title.

string

Company

Gets or sets the company.

string

StreetNumber

Gets or sets the street number.

string

ZipCode

Gets or sets the zip town.

string

Town

Gets or sets the town.

string

Telephone

Gets or sets the town.

string

EmailAddress

Gets or sets the email address.

string

Request Formats

application/json, text/json

Sample:
{
  "manufacturer": "sample string 1",
  "model": "sample string 2",
  "mileage": "sample string 3",
  "firstRegistration": "sample string 4",
  "vin": "sample string 5",
  "registrationBookFoto": {
    "filename": "sample string 1",
    "base64Content": "sample string 2"
  },
  "vehicleFotos": [
    {
      "filename": "sample string 1",
      "base64Content": "sample string 2"
    },
    {
      "filename": "sample string 1",
      "base64Content": "sample string 2"
    }
  ],
  "type": "Callback",
  "additionalAnnotation": "sample string 6",
  "sendCopyToMe": true,
  "contactByEmail": true,
  "contactByTelephone": true,
  "consentPrivacyPolicy": true,
  "googleAdTrackingInfo": {
    "campaignId": "sample string 1",
    "source": "sample string 2",
    "keywords": [
      "sample string 1",
      "sample string 2"
    ]
  },
  "googleReCaptchaInfo": {
    "reCaptchaCode": "sample string 1"
  },
  "optInConfirmUrl": "sample string 11",
  "imprintUrl": "sample string 12",
  "privacyUrl": "sample string 13",
  "reference": "sample string 14",
  "culture": "sample string 15",
  "firstname": "sample string 16",
  "surname": "sample string 17",
  "salutation": "sample string 18",
  "title": "sample string 19",
  "company": "sample string 20",
  "streetNumber": "sample string 21",
  "zipCode": "sample string 22",
  "town": "sample string 23",
  "telephone": "sample string 24",
  "emailAddress": "sample string 25"
}

Response Information

Resource Description

An IHttpActionResult.

An instance of: HttpResponseMessage
NameDescriptionType
Version

Version

Content

HttpContent

StatusCode

HttpStatusCode

ReasonPhrase

string

Headers

Collection of Object

RequestMessage

HttpRequestMessage

IsSuccessStatusCode

boolean